# $Revision: 1.8 $, $Date: 2011/08/30 07:25:32 $
Summary:	Console-based network traffic monitor
Summary(pl.UTF-8):	Konsolowe narzędzie do monitorowania ruchu sieciowego
Name:		vnstat
Version:	1.11
Release:	1
License:	GPL v2
Group:		Daemons
Source0:	http://humdi.net/vnstat/%{name}-%{version}.tar.gz
# Source0-md5:	a5a113f9176cd61fb954f2ba297f5fdb
Source1:	%{name}.sysconfig
Source2:	%{name}.cron
Source3:	%{name}-cron
Source4:	%{name}-report
URL:		http://humdi.net/vnstat/
BuildRequires:	rpmbuild(macros) >= 1.202
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	crondaemon
Requires:	smtpdaemon
Provides:	group(vnstat)
Provides:	user(vnstat)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
vnStat is a console-based network traffic monitor that keeps a log of
daily network traffic for the selected interface(s). vnStat isn't a
packet sniffer. The traffic information is analyzed from the
/proc-filesystem.

%description -l pl.UTF-8
vnStat to konsolowe narzędzie do monitorowania ruchu sieciowego, które
przechowuje zapis dziennego ruchu dla wybranych interfejsów. vnStat
nie jest programem do posłuchu pakietów. Ruch sieciowyc jest
analizowany na podstawie informacji z systemu plików /proc.

%prep
%setup -q

# disable maximum bandwidth setting
%{__sed} -i -e "s,MaxBandwidth 100,MaxBandwidth 0,g" cfg/vnstat.conf

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man1}
install -d $RPM_BUILD_ROOT{%{_localstatedir}/lib/%{name},%{_sysconfdir}/{cron.d,sysconfig}}
install -p man/vnstat.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -p src/vnstat $RPM_BUILD_ROOT%{_bindir}
install -p cfg/vnstat.conf $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT%{_sbindir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 195 vnstat
%useradd -u 195 -g 195 vnstat

%postun
if [ "$1" = 0 ]; then
	%userremove vnstat
	%groupremove vnstat
fi

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING FAQ README INSTALL
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) /etc/cron.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%{_mandir}/man1/*
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}-report
%attr(755,root,root) %{_sbindir}/%{name}-cron
%attr(750,vnstat,vnstat)%{_localstatedir}/lib/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vnstat.spec,v $
Revision 1.8  2011/08/30 07:25:32  marti
- up to 1.11

Revision 1.7  2011/02/06 17:07:32  sparky
- unified or fixed %clean section

Revision 1.6  2011/02/05 01:12:26  sparky
- corrected lang tag in %description

Revision 1.5  2010/01/04 15:11:12  adamg
- updated to 1.10
- drop cron file from %doc

Revision 1.4  2009/05/31 18:45:51  amateja
- updated to 1.7

Revision 1.3  2008/04/05 22:17:20  adamg
- daily reports cronjob
- R: crondaemon, smtpdaemon

Revision 1.2  2008-04-05 11:01:20  adamg
- PLDized

Revision 1.1  2008-04-04 22:31:21  adamg
- raw
